Bug 114537 - gaim gets SIGPIPE in __write_nocancel on startup
gaim gets SIGPIPE in __write_nocancel on startup
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: gaim (Show other bugs)
1.0
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Blizzard
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-29 06:29 EST by Alex Kiernan
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-06 10:25:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Kiernan 2004-01-29 06:29:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.6)
Gecko/20040115 Epiphany/1.0.7

Description of problem:
This is a new problem, probably related to shared libraries (as this
version of gaim was working prior to a bunch of updates from Raw Hide)
and may be nothing more than the Raw Hide tree being in a state of flux. 

Running under gdb:

(gdb) run
Starting program: /usr/bin/gaim
[Thread debugging using libthread_db enabled]
[New Thread 805529312 (LWP 26425)]
Detaching after fork from child process 26431.
Detaching after fork from child process 26432.
Detaching after fork from child process 26433.
                                                                     
          
Program received signal SIGPIPE, Broken pipe.
[Switching to Thread 805529312 (LWP 26425)]
0x0f523968 in __write_nocancel () from /lib/tls/libc.so.6
(gdb) where
#0  0x0f523968 in __write_nocancel () from /lib/tls/libc.so.6
#1  0x0ec53268 in irc_send (irc=0x20,
    buf=0x101e3190 "USER alexk alexk.eng.demon.net bar.irc.demon.net
:gaim\r\n") at irc.c:86
#2  0x0ec538b0 in irc_login_cb (data=0x101e6ed8, source=270414224,
cond=56)
    at irc.c:248
#3  0x1003a7a4 in no_one_calls (data=0x101e3190, source=270414224,
cond=56)
    at proxy.c:774
#4  0x10039880 in gaim_io_invoke (source=0x20, condition=270414224,
data=0x38)
    at proxy.c:218
#5  0x0f6629c8 in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#6  0x0f63baf8 in unblock_source () from /usr/lib/libglib-2.0.so.0
#7  0x0f63cdb0 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#8  0x0f63d118 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#9  0x0f63d97c in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#10 0x0fb06770 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#11 0x100a3020 in main (argc=0, argv=0x0) at main.c:937


Version-Release number of selected component (if applicable):
gaim-0.75-1

How reproducible:
Always

Steps to Reproduce:
1. Run gaim
2.
3.
    

Actual Results:  SIGPIPE

Additional info:
Comment 1 Alex Kiernan 2004-02-06 10:25:38 EST
Moving to final 2.6.2 kernel fixes this

Note You need to log in before you can comment on or make changes to this bug.